Error opening CoppeliaSim on Ubuntu 20.04 LTS

Typically: "How do I... ", "How can I... " questions
Post Reply
darn
Posts: 10
Joined: 10 Apr 2020, 18:48

Error opening CoppeliaSim on Ubuntu 20.04 LTS

Post by darn »

Hello,

I get the following error when I open CoppeliaSim:

Code: Select all

CoppeliaSim Edu V4.0.0. (rev. 4)
Using the default Lua library.
Could not find or correctly load the video compression library.
Try following:

>sudo apt-get install libavcodec-dev libavformat-dev libswscale-dev
if above fails, try first:
>sudo apt-get -f install
I have already installed the codecs suggested in the error but I still get the same message. Does anyone have the same problem?

Thank in advance!

lhcubillos
Posts: 1
Joined: 29 Apr 2020, 22:51

Re: Error opening CoppeliaSim on Ubuntu 20.04 LTS

Post by lhcubillos »

I have the same problem! Did you manage to solve it?

coppelia
Site Admin
Posts: 7966
Joined: 14 Dec 2012, 00:25

Re: Error opening CoppeliaSim on Ubuntu 20.04 LTS

Post by coppelia »

Hello,

can you try with the new release (V4.1.0) that will be out within a few hours?

Cheers

Corrie
Posts: 1
Joined: 22 Jul 2020, 02:24

Re: Error opening CoppeliaSim on Ubuntu 20.04 LTS

Post by Corrie »

I have this problem, too, even using the new release, CoppeliaSim 4.1.0 with Ubuntu 20.04 LTS. In addition, the terminal reports errors loading other libraries: Image, ROSInterface, and BlueZero. Any idea why this is happening? Are other users also getting errors in terminal loading the above libraries on CoppeliaSim start-up?

I'm having trouble running a VRep sceneas well, and trying to determine if the missing libraries are the cause...

~C

coppelia
Site Admin
Posts: 7966
Joined: 14 Dec 2012, 00:25

Re: Error opening CoppeliaSim on Ubuntu 20.04 LTS

Post by coppelia »

Is your Ubuntu 20.04 a clean installation? What exactly is the output in the terminal when launching CoppeliaSim?

Cheers

Post Reply